## migrate 0.10.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.3,<2.0

# never put a cap on this, *ever*, sqla versions are handled via
# tox, and if SQLA is capped it will only make it so we aren't testing
# against all the versions we are compatible with.
SQLAlchemy>=0.7.8,!=0.9.5
decorator
six>=1.7.0
sqlparse
Tempita>=0.4

=== debian/changelog ===
migrate (0.10.0-4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 May 2016 11:55:36 +0000

migrate (0.10.0-4) unstable; urgency=medium

  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT to new URL
  * d/copyright
    - Changed source URL to new one
    - Reordered
  * Added suggests python-migrate-doc (Closes: #820656)
  * Standards-Version is 3.9.8 not (no change needed)

 -- Ondřej Nový <novy@ondrej.org>  Wed, 25 May 2016 10:28:10 +0000

migrate (0.10.0-3) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 22:18:52 +0000

migrate (0.10.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 12:44:10 +0000

migrate (0.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Python3 fix patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Sep 2015 00:24:13 +0200

migrate (0.9.7-7) unstable; urgency=medium

  * Fixed section for the -doc package.
  * Killed wrong debian/doc-base (it's now in debian/python-migrate-doc only).

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Sep 2015 09:49:48 +0000

migrate (0.9.7-6) unstable; urgency=medium

  * Added missing Breaks+Replaces for the man page (Closes: #794044).

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Aug 2015 08:32:36 +0000

migrate (0.9.7-5) unstable; urgency=medium

  * Added missing copyright for setup.py (Closes: #793916).

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Jul 2015 18:00:21 +0200

migrate (0.9.7-4) unstable; urgency=medium

  * Added patch to unrestrict PBR version.

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Jul 2015 08:20:42 +0000

migrate (0.9.7-3) unstable; urgency=medium

  * Adds fix-usage-function-for-python3.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Jul 2015 09:11:24 +0000

migrate (0.9.7-2) unstable; urgency=medium

  * Added Python 3 support.
  * Removed some old cruft from debian/rules.

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Jul 2015 15:27:25 +0000

=== debian/control ===
Source: migrate
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Jan Dittberner <jandd@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: mysql-client,
                     mysql-server,
                     python-coverage,
                     python-decorator,
                     python-feedparser,
                     python-fixtures,
                     python-ibm-db-sa,
                     python-mock (>= 1.3),
                     python-mox,
                     python-mysqldb,
                     python-psycopg2,
                     python-scripttest,
                     python-six,
                     python-sphinxcontrib.issuetracker,
                     python-sqlalchemy,
                     python-sqlparse,
                     python-tempest-lib,
                     python-tempita,
                     python-testtools,
                     python-tz,
                     python3-decorator,
                     python3-feedparser,
                     python3-fixtures,
                     python3-mock (>= 1.3),
                     python3-mysqldb,
                     python3-psycopg2,
                     python3-scripttest,
                     python3-six,
                     python3-sqlalchemy,
                     python3-sqlparse,
                     python3-subunit,
                     python3-tempest-lib,
                     python3-tempita,
                     python3-testtools,
                     python3-tz,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Homepage: https://github.com/stackforge/sqlalchemy-migrate
Vcs-Git: https://anonscm.debian.org/git/openstack/migrate.git
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/migrate.git/

Package: python-migrate
Architecture: all
Depends: python-decorator,
         python-pbr (>= 1.8),
         python-six,
         python-sqlalchemy,
         python-sqlparse,
         python-tempita,
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
Suggests: python-migrate-doc,
Description: Database schema migration for SQLAlchemy - Python 2.7
 Inspired by Ruby on Rails' migrations, migrate provides a way to deal
 with database schema changes in SQLAlchemy projects.
 .
 SQLAlchemy-migrate is build on top of SQLAlchemy and provides a changeset
 and a versioning API for database schemas as well as a script utilizing
 these APIs. The database change sets are managed in a file based
 repository allowing upgrades and downgrades of database schema versions.
 The change sets may consist of Python code facilitating the changeset API
 or SQL scripts.
 .
 SQLAlchemy-migrate has support for MySQL, PostgreSQL, SQLite and Oracle
 databases. The support for Oracle is not as well tested as the support for
 the other database systems.
 .
 This package provides the Python 2.7 module.

Package: python3-migrate
Architecture: all
Depends: python3-decorator,
         python3-pbr (>= 1.8),
         python3-six,
         python3-sqlalchemy,
         python3-sqlparse,
         python3-tempita,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-migrate-doc,
Description: Database schema migration for SQLAlchemy - Python 3.x
 Inspired by Ruby on Rails' migrations, migrate provides a way to deal
 with database schema changes in SQLAlchemy projects.
 .
 SQLAlchemy-migrate is build on top of SQLAlchemy and provides a changeset
 and a versioning API for database schemas as well as a script utilizing
 these APIs. The database change sets are managed in a file based
 repository allowing upgrades and downgrades of database schema versions.
 The change sets may consist of Python code facilitating the changeset API
 or SQL scripts.
 .
 SQLAlchemy-migrate has support for MySQL, PostgreSQL, SQLite and Oracle
 databases. The support for Oracle is not as well tested as the support for
 the other database systems.
 .
 This package provides the Python 3.x module.

Package: python-migrate-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Breaks: python-migrate (<< 0.9.7-5~)
Replaces: python-migrate (<< 0.9.7-5~)
Description: Database schema migration for SQLAlchemy - doc
 Inspired by Ruby on Rails' migrations, migrate provides a way to deal
 with database schema changes in SQLAlchemy projects.
 .
 SQLAlchemy-migrate is build on top of SQLAlchemy and provides a changeset
 and a versioning API for database schemas as well as a script utilizing
 these APIs. The database change sets are managed in a file based
 repository allowing upgrades and downgrades of database schema versions.
 The change sets may consist of Python code facilitating the changeset API
 or SQL scripts.
 .
 SQLAlchemy-migrate has support for MySQL, PostgreSQL, SQLite and Oracle
 databases. The support for Oracle is not as well tested as the support for
 the other database systems.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT := https://github.com/openstack/sqlalchemy-migrate.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

include /usr/share/python/python.mk

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_clean:
	rm -rf dist build
	find . -name '*\.py[co]' -exec rm {} \;
	rm -f docs/reference.txt debian/install
	cp debian/test_db.cfg $(CURDIR)

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-migrate; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
		--root $(CURDIR)/debian/python3-migrate; \
	done
	rm -f $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth
	mv $(CURDIR)/debian/python-migrate/usr/bin/migrate $(CURDIR)/debian/python-migrate/usr/bin/python2-migrate
	mv $(CURDIR)/debian/python3-migrate/usr/bin/migrate $(CURDIR)/debian/python3-migrate/usr/bin/python3-migrate
	mv $(CURDIR)/debian/python-migrate/usr/bin/migrate-repository $(CURDIR)/debian/python-migrate/usr/bin/python2-migrate-repository
	mv $(CURDIR)/debian/python3-migrate/usr/bin/migrate-repository $(CURDIR)/debian/python3-migrate/usr/bin/python3-migrate-repository

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) sphinx-build -b html -a -E -N -D today="$(BUILD_DATE)" doc/source debian/python-migrate-doc/usr/share/doc/python-migrate-doc/html/
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_installchangelogs:
	dh_installchangelogs -i doc/source/changelog.rst

override_dh_compress:
	dh_compress -i -X.py -X.rst -X.js -Xobjects.inv

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	chmod +x debian/test.sh

	# Create a working "migrate" binary, so that shell calls continue to
	# work even without python-migrate being installed
	mkdir -p debian/bin
	cp debian/migrate-for-tests debian/bin/migrate
	sed -i "s#REPLACE_THIS_PATH#$(CURDIR)#" debian/bin/migrate

	# Create a minimalist egg-info, so that "import migrate"
	# works and gets the correct version
	mkdir -p sqlalchemy_migrate-$(VERSION).egg-info
	echo "Metadata-Version: 1.1" >sqlalchemy_migrate-$(VERSION).egg-info/PKG-INFO
	echo "Name: sqlalchemy-migrate" >>sqlalchemy_migrate-$(VERSION).egg-info/PKG-INFO
	echo "Version: $(VERSION)" >>sqlalchemy_migrate-$(VERSION).egg-info/PKG-INFO

	# Launch the actual tests
	$(CURDIR)/debian/test.sh

	# Clean everything
	rm -rf debian/bin
	rm -rf sqlalchemy_migrate-$(VERSION).egg-info
endif

## migrate 0.11.0

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
-pbr>=1.3,<2.0
+pbr>=1.8
 
 # never put a cap on this, *ever*, sqla versions are handled via
 # tox, and if SQLA is capped it will only make it so we aren't testing

=== debian/changelog ===
migrate (0.11.0-5~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 02 Jan 2019 11:25:03 +0100

migrate (0.11.0-5) unstable; urgency=medium

  * Team upload.
  * Add missing import sqlite3 in the previous patch.  Closes: #916922

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 20 Dec 2018 23:23:36 +0100

migrate (0.11.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * Move the package in Salsa from /openstack-team/python to libs:
    - Update VCS fields accordingly.
  * Add SQLite 3.26+ patch from Ubuntu (Closes: #915938). Thanks to Corey
    Bryant for forwarding the patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Dec 2018 09:55:26 +0100

migrate (0.11.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles

  [ Thomas Goirand ]
  * Removed tempest-lib from upstream code.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Apr 2018 10:29:21 +0200

migrate (0.11.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 22:17:03 +0000

migrate (0.11.0-1) experimental; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Adding package prefix to debhelper files to not rely on sorting in
    debian/control.
  * Correcting permissions in debian packaging files.
  * Prefixing all debhelper files.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Correctly cleans .testrepository.
  * Ignore egg-info changes.
  * Standards-Version is now 4.0.1 (no change).
  * Fixed upstream homepage.

  [ Daniel Baumann ]
  * Updating standards version to 4.1.0.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Aug 2017 20:25:27 +0000

migrate (0.10.0-7) unstable; urgency=medium

  * Team upload.
  * Bumped debhelper compat version to 10
  * Rebuilt with new python-sqlalchemy

 -- Ondřej Nový <onovy@debian.org>  Mon, 28 Nov 2016 12:13:03 +0100

migrate (0.10.0-6) unstable; urgency=medium

  * Using the correct options for mysql_install_db so that it continues to work
    with MySQL 5.7.x (Closes: #841591).
  * Build-Depends on default-mysql-client and default-mysql-server instead of
    mysql-client & mysql-server (the later is kept as an alternative).

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Oct 2016 09:33:40 +0200

migrate (0.10.0-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 May 2016 14:17:32 +0200

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/stackforge/sqlalchemy-migrate/tags .*/(\d[\d\.]+)\.tar\.gz

## migrate 0.12.0

=== debian/changelog ===
migrate (0.12.0-3~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 15 Aug 2019 01:32:02 +0000

migrate (0.12.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jul 2019 18:12:38 +0200

migrate (0.12.0-2) experimental; urgency=medium

  * Removed update of alternatives, not needed anymore.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Mar 2019 17:11:23 +0100

migrate (0.12.0-1) experimental; urgency=medium

  [ Mattia Rizzolo ]
  * Set python-migrate-doc as Multi-Arch:foreign (from the m-a hinter).

  [ Thomas Goirand ]
  * New upstream release.
  * Removed Python 2 support.
  * Removed use-legacy-alter-sqlite.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Mar 2019 16:10:12 +0100

=== debian/control ===
Source: migrate
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Jan Dittberner <jandd@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-sphinx,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 default-mysql-client | mysql-client,
 default-mysql-server | mysql-server,
 python3-coverage,
 python3-decorator,
 python3-feedparser,
 python3-fixtures,
 python3-mock,
 python3-mysqldb,
 python3-psycopg2,
 python3-scripttest,
 python3-six,
 python3-sqlalchemy,
 python3-sqlparse,
 python3-subunit,
 python3-tempita,
 python3-testtools,
 python3-tz,
 subunit,
 testrepository,
Standards-Version: 4.3.0
Homepage: https://github.com/openstack/sqlalchemy-migrate
Vcs-Git: https://salsa.debian.org/openstack-team/libs/migrate.git
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/migrate

Package: python-migrate-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Database schema migration for SQLAlchemy - doc
 Inspired by Ruby on Rails' migrations, migrate provides a way to deal
 with database schema changes in SQLAlchemy projects.
 .
 SQLAlchemy-migrate is build on top of SQLAlchemy and provides a changeset
 and a versioning API for database schemas as well as a script utilizing
 these APIs. The database change sets are managed in a file based
 repository allowing upgrades and downgrades of database schema versions.
 The change sets may consist of Python code facilitating the changeset API
 or SQL scripts.
 .
 SQLAlchemy-migrate has support for MySQL, PostgreSQL, SQLite and Oracle
 databases. The support for Oracle is not as well tested as the support for
 the other database systems.
 .
 This package contains the documentation.

Package: python3-migrate
Architecture: all
Depends:
 python3-decorator,
 python3-pbr,
 python3-six,
 python3-sqlalchemy,
 python3-sqlparse,
 python3-tempita,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-migrate-doc,
Description: Database schema migration for SQLAlchemy - Python 3.x
 Inspired by Ruby on Rails' migrations, migrate provides a way to deal
 with database schema changes in SQLAlchemy projects.
 .
 SQLAlchemy-migrate is build on top of SQLAlchemy and provides a changeset
 and a versioning API for database schemas as well as a script utilizing
 these APIs. The database change sets are managed in a file based
 repository allowing upgrades and downgrades of database schema versions.
 The change sets may consist of Python code facilitating the changeset API
 or SQL scripts.
 .
 SQLAlchemy-migrate has support for MySQL, PostgreSQL, SQLite and Oracle
 databases. The support for Oracle is not as well tested as the support for
 the other database systems.
 .
 This package provides the Python 3.x module.

## migrate 0.13.0

=== doc/requirements.txt ===
sphinx>=1.6.2,!=1.6.6  # BSD

=== debian/changelog ===
migrate (0.13.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 12:13:37 +0200

migrate (0.13.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs.

  [ Thomas Goirand ]
  * New upstream URLs in d/rules, d/control and d/copyright.
  * Updated watch file.
  * New upstream release.
  * Standards-Version: 4.5.0.
  * Removed disable_issuetracker.patch.
  * Fixed running unit tests.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Apr 2020 16:12:56 +0200

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
  Thomas Goirand <zigo@debian.org>,
  Jan Dittberner <jandd@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
- python3-sphinx,
  python3-all,
  python3-pbr,
  python3-setuptools,
+ python3-sphinx,
 Build-Depends-Indep:
  default-mysql-client | mysql-client,
  default-mysql-server | mysql-server,
@@ -33,10 +33,10 @@
  python3-tz,
  subunit,
  testrepository,
-Standards-Version: 4.3.0
-Homepage: https://github.com/openstack/sqlalchemy-migrate
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/openstack-team/libs/migrate.git
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/migrate
+Homepage: https://opendev.org/x/sqlalchemy-migrate.git
 
 Package: python-migrate-doc
 Section: doc

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://pypi.debian.net/sqlalchemy-migrate/sqlalchemy-migrate-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
